Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# TextLinesStore Class Reference
[Viewer/streaming]

Inheritance diagram for TextLinesStore:

## Detailed Description

Reads array of text lines and makes it accessible with LineSource interface.

All lines should be separated with \r\n , \n or \r characters.

## Public Member Functions
| TextLinesStore ()
| Empty constructor.
void | loadFile (const String *fileName, const String *inputEncoding, bool tab2spaces)
| Loads specified file into vector of strings.
const String * | getFileName ()
| Returns loaded file name.
int | getLineCount ()
| Returns total lines count in text.
String * | getLine (int lno)
## Protected Member Functions
void | freeFile ()
| Frees loaded file lines.

## Constructor & Destructor Documentation

TextLinesStore::TextLinesStore | ( |  | ) |

| Empty constructor. Does nothing.

## Member Function Documentation

void TextLinesStore::loadFile | ( | const String * | fileName,
|  | const String * | inputEncoding,
|  | bool | tab2spaces
| ) |

  | Loads specified file into vector of strings. Parameters:
  | fileName | File to load.
  | inputEncoding | Input file encoding.
  | tab2spaces | Points, if we have to convert all tabs in file into spaces.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.